Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-43900

do not advertise any kind of oracle support if oci drivers not installed

    XMLWordPrintable

Details

    • Improvement
    • Status: Closed
    • Major
    • Resolution: Won't Fix
    • 2.7
    • None
    • Installation
    • MOODLE_27_STABLE
    • w06_MDL-43900_m27_nooracle
    • Hide

      1/ rename your config.php and go to web installer
      2/ if you have oci drivers installed you should see oracle option there
      3/ if you do not have oci drivers you should not see oracle option

      Show
      1/ rename your config.php and go to web installer 2/ if you have oci drivers installed you should see oracle option there 3/ if you do not have oci drivers you should not see oracle option

    Description

      The idea is to not encourage anybody to use unsupported Oracle driver with Moodle.

      Bad scenario:
      1/ somebody tries to install Moodle for the first time
      2/ they see the option to install with Oracle driver
      3/ for some weird reason they start requesting their company uses Oracle database
      4/ they are not satisfied with performance and bugs in Moodle running on top of Oracle

      After this patch:
      1/ somebody tries to install Moodle for the first time
      2/ they do not see Oracle option in installer because nobody has oracle drivers installed by default
      3/ the select PostgreSQL
      4/ they use Moodle happily ever after

      Attachments

        Issue Links

          Activity

            People

              skodak Petr Skoda
              skodak Petr Skoda
              Rajesh Taneja Rajesh Taneja
              Matteo Scaramuccia, Andrew Lyons, Huong Nguyen, Jun Pataleta, Michael Hawkins, Shamim Rezaie, Simey Lameze, Stevani Andolo
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: